/* 
   mkpsxiso (Java Edition) - Converts a standard ISO image to .bin/.cue (PSX)
   This software is based on Conyers' mkpsxiso - http://www.conyers.demon.co.uk
   Author: Bruno Freitas (aka Sparrow) - 03/2004
   Contact: bootsector@ig.com.br
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/** This class encapsulates all the classes to make the job done! :-) */
public class mkpsxiso {
   /** The class' main procedure! Too trivial!
    * @param args The parameters that will be passed through command line. Just follow the program
    * instructions!
    */   
   public static void main(String args[]) {
      Iso2Raw converter = new Iso2Raw();
      
      System.out.println("mkpsxiso (Java Edition) v0.1a - Converts a standard ISO image to .bin/.cue (PSX)");
      System.out.println("This software is based on Conyers' mkpsxiso - http://www.conyers.demon.co.uk");
      System.out.println("Author: Bruno Freitas (aka Sparrow) - 03/2004 - bootsector@ig.com.br\n");
      
      if (args.length != 3) {
         System.out.println("Usage: java -jar mkpsxiso.jar <iso file> <bin file> <PSX license file>");
         System.exit(1);
      }
      
      if (!converter.convert(args[0], args[1], args[2])) {
         System.exit(1);
      }
      
      System.out.println("ISO file conversion terminated successfully!!");
      
      System.exit(0);
   }
}
